Name: installer-desktop
Version: 0.2
Release: alt5.S40.0

Summary: Installer common files
License: GPL
Group: System/Configuration/Other

Packager: Anton V. Boyarshinov <boyarsh@altlinux.org>

Source: %name-%version.tar

BuildArch: noarch
BuildRequires: alterator rpm-devel

%description
Installer common files

%package stage2
Summary: Installer stage2
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: installer-stage2
#modules
Requires: alterator-sysconfig
Requires: alterator-license
Requires: alterator-tzone openntpd
Requires: alterator-datetime
Requires: alterator-vm
Requires: x-cursor-theme-jimmac

%description stage2
Installer stage2

%package stage3
Summary: Installer stage3
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: installer-stage3
#modules
Requires: alterator-lilo
Requires: alterator-users
Requires: alterator-pkg
Requires: alterator-net-eth dhcpcd
Requires: alterator-net-general
Requires: alterator-x11

%description stage3
Installer stage3

%prep
%setup -q

%install
%makeinstall

%find_lang alterator-desktop

%files -f alterator-desktop.lang
%_datadir/install2/help/*

%files stage2
%_datadir/install2/installer-steps
%_datadir/install2/preinstall.d/*
%_datadir/install2/initinstall.d/*
%_datadir/install2/postinstall.d/*
%_datadir/install2/hw.d/*
%_datadir/install2/steps/*

%files stage3
%_datadir/alterator/ui/desktop

%changelog
* Mon May 26 2008 Andrey Cherepanov <cas@altlinux.ru> 0.2-alt5.S40.0
- backport for School Branch

* Tue Apr 15 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.2-alt5
- do not remove alterator-autoinstall 

* Tue Apr 01 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.2-alt4
- do not remove alterator-lilo 

* Wed Feb 20 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.2-alt3
- fixed installation of desktop personal with <=128M RAM 

* Thu Feb 07 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.2-alt2
- try to fix xdm crash 

* Mon Jan 28 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.2-alt1
- fixed deleting installer packages  

* Mon Jan 14 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt4.1
- fixed ntfs mounting 

* Mon Dec 24 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt4
- fixed install without clamav 
- fixed first page setting
- xdm look changed

* Fri Dec 14 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt3
- added hook to gemove gnumeric from menu 

* Fri Nov 30 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.5
- added list of groups for first user
- added multydisc install support

* Wed Nov 28 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.4
- fixed 60-*profile* 

* Mon Nov 12 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.3
- added vm-profile customization 

* Thu Nov 08 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.2
- added hook for inserting resume= into lilo.conf. template 

* Wed Oct 31 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2.1
- changed alterator-apt to alterator-pkg 

* Tue Oct 30 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- fix firefox homepage setup
- add russian manpages charset setup

* Wed Oct 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial build
